python-qgis have unmet dependencies
Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24951

Description

Nightly build with ubuntugis dependencies:

$ sudo apt-get install qgis

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 qgis : Depends: python-qgis (= 1:2.99.0+git20170820+f867b65+24xenial-ubuntugis) but it is not going to be installed

        Depends: qgis-providers (= 1:2.99.0+git20170820+f867b65+24xenial-ubuntugis) but it is not going to be installed

        Depends: qgis-common (= 1:2.99.0+git20170820+f867b65+24xenial-ubuntugis) but it is not going to be installed

        Recommends: qgis-plugin-grass but it is not going to be installed

E: Unable to correct problems, you have held broken packages.

$ sudo apt-get install python-qgis

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 python-qgis : Depends: python-qgis-common (= 1:2.99.0+git20170820+f867b65+24xenial-ubuntugis) but

1:2.99.0+git20170823+ef89a62+24xenial-ubuntugis is to be installed

E: Unable to correct problems, you have held broken packages.

History

#1 - 2017-08-25 05:53 PM - Jürgen Fischer
- Status changed from Open to Feedback

Not reproducable as of 1:2.99.0+git20170824+9f18050+24xenial-ubuntugis.

#2 - 2017-08-26 02:53 AM - dr -

- Resolution set to wontfix

Confirm, now all works fine.

#3 - 2017-08-26 02:54 AM - dr -

- Status changed from Feedback to Closed

2025-04-27 2/2


